Bug 1692514 (CVE-2019-8321) - CVE-2019-8321 rubygems: Escape sequence injection vulnerability in verbose
Summary: CVE-2019-8321 rubygems: Escape sequence injection vulnerability in verbose
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-8321
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1695928 1695930 1695932 1692530 1695931 1695933 1700313 1700325 1713063
Blocks: 1692529
TreeView+ depends on / blocked
 
Reported: 2019-03-25 18:57 UTC by Pedro Sampaio
Modified: 2019-09-29 15:09 UTC (History)
22 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:51:50 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1148 None None None 2019-05-13 09:02:47 UTC
Red Hat Product Errata RHSA-2019:1150 None None None 2019-05-13 09:18:54 UTC
Red Hat Product Errata RHSA-2019:1429 None None None 2019-06-11 05:32:39 UTC
JBoss Issue Tracker THREESCALE-2164 Major New Rebuild of AMP backend for rubygems CVEs (Due June 12, 2019) 2019-07-26 08:51:41 UTC

Description Pedro Sampaio 2019-03-25 18:57:06 UTC
An issue was discovered in RubyGems 2.6 and later through 3.0.2. Since Gem::UserInteraction#verbose calls say without escaping, escape sequence injection is possible.

Upstream patch:

https://bugs.ruby-lang.org/attachments/7669

References:

https://www.ruby-lang.org/en/news/2019/03/05/multiple-vulnerabilities-in-rubygems/
https://blog.rubygems.org/2019/03/05/security-advisories-2019-03.html

Comment 1 Pedro Sampaio 2019-03-25 19:14:53 UTC
Created rubygems tracking bugs for this issue:

Affects: fedora-all [bug 1692530]

Comment 2 Scott Gayou 2019-04-03 21:56:19 UTC
Looks like the change in user_interaction.rb

```ruby
  def verbose(msg = nil)
    say(clean_text(msg || yield)) if Gem.configuration.really_verbose
  end
end
```

Comment 3 Scott Gayou 2019-04-03 22:03:13 UTC
I did not see the vulnerable pattern in Red Hat Enterprise 6 or 7 code.

Comment 8 errata-xmlrpc 2019-05-13 09:02:46 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS

Via RHSA-2019:1148 https://access.redhat.com/errata/RHSA-2019:1148

Comment 9 errata-xmlrpc 2019-05-13 09:18:53 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS

Via RHSA-2019:1150 https://access.redhat.com/errata/RHSA-2019:1150

Comment 12 errata-xmlrpc 2019-06-11 05:32:37 UTC
This issue has been addressed in the following products:

  CloudForms Management Engine 5.10

Via RHSA-2019:1429 https://access.redhat.com/errata/RHSA-2019:1429


Note You need to log in before you can comment on or make changes to this bug.